Download it now!
Bug 63265 - Slowdown when closing a template file
Summary: Slowdown when closing a template file
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-08 12:29 UTC by LRN
Modified: 2015-02-11 20:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LRN 2013-04-08 12:29:21 UTC
There's a problem with BASIC in LO 4.0.2.2

There's an extension written in BASIC, and there's a template file with styles, "my_styles.ott", inside that extension's package. This file is loaded into current text document by the following code:

Dim StylesPath As String : StylesPath = getRootStorage( "MyMacros" ) & "/styles/my_styles.ott"
Dim oDesktop : oDesktop = createUnoService("com.sun.star.frame.Desktop")
Dim aArgs(1) As New com.sun.star.beans.PropertyValue
aArgs(0).Name	= "AsTemplate"
aArgs(0).Value	= False
aArgs(1).Name	= "Hidden"
aArgs(1).Value	= True
Dim oTemplate : oTemplate = oDesktop.loadComponentFromURL( ConvertToUrl( StylesPath ), "_blank", 0, aArgs() )
' Loading styles from the template
aArgs(0).Name	= "OverwriteStyles"
aArgs(0).Value	= False
aArgs(1).Name	= "ReadOnly"
aArgs(1).Value	= True
Dim oDoc As Object : oDoc = ThisComponent
oDoc.stylefamilies.loadStylesFromURL( StylesPath, aArgs() )
oDoc.DocumentProperties.Title			= oTemplate.DocumentProperties.Title
oDoc.DocumentProperties.TemplateName	= StylesPath
' Closing the template
oTemplate.Close( false )

If the document is very large, it will take BASIC a long time (up to 45 minutes) to come out of the "oTemplate.Close( false )" call.

This was observed in LO 4 on Windows 7/8 and KUbuntu 12.10.
Comment 1 Joel Madero 2014-05-28 02:36:50 UTC
We need the actual test documents to see the problem. marking as NEEDINFO - once you attach a test document mark the bug as UNCONFIRMED.

In the future please provide very straight forward steps to reproduce as we have thousands of bugs and it's always easier if the necessary steps are present and test documents available. Thanks!
Comment 2 QA Administrators 2015-01-10 18:07:09 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 3 QA Administrators 2015-02-11 19:57:55 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 4 QA Administrators 2015-02-11 20:04:21 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11